Open CASCADE Technology: StepGeom_PointOnSurface Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
StepGeom_PointOnSurface Class Reference

`#include <StepGeom_PointOnSurface.hxx>`

Inheritance diagram for StepGeom_PointOnSurface:
[legend]

## Public Member Functions
| StepGeom_PointOnSurface ()
| Returns a PointOnSurface. More...
virtual void | Init (const Handle< TCollection_HAsciiString > &aName)
virtual void | Init (const Handle< TCollection_HAsciiString > &aName, const Handle< StepGeom_Surface > &aBasisSurface, const Standard_Real aPointParameterU, const Standard_Real aPointParameterV)
void | SetBasisSurface (const Handle< StepGeom_Surface > &aBasisSurface)
Handle< StepGeom_Surface > | BasisSurface () const
void | SetPointParameterU (const Standard_Real aPointParameterU)
Standard_Real | PointParameterU () const
void | SetPointParameterV (const Standard_Real aPointParameterV)
Standard_Real | PointParameterV () const
Public Member Functions inherited from StepGeom_Point
| StepGeom_Point ()
| Returns a Point. More...
Public Member Functions inherited from StepGeom_GeometricRepresentationItem
| StepGeom_GeometricRepresentationItem ()
| Returns a GeometricRepresentationItem. More...
Public Member Functions inherited from StepRepr_RepresentationItem
| StepRepr_RepresentationItem ()
| Returns a RepresentationItem. More...
void | SetName (const Handle< TCollection_HAsciiString > &aName)
Handle< TCollection_HAsciiString > | Name () const
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Constructor & Destructor Documentation

StepGeom_PointOnSurface::StepGeom_PointOnSurface | ( |  | ) |

Returns a PointOnSurface.

## Member Function Documentation

Handle< StepGeom_Surface > StepGeom_PointOnSurface::BasisSurface | ( |  | ) | const

virtual void StepGeom_PointOnSurface::Init | ( | const Handle< TCollection_HAsciiString > & | aName | ) |
| virtual

Reimplemented from StepRepr_RepresentationItem.

virtual void StepGeom_PointOnSurface::Init | ( | const Handle< TCollection_HAsciiString > & | aName,
|  | const Handle< StepGeom_Surface > & | aBasisSurface,
|  | const Standard_Real | aPointParameterU,
|  | const Standard_Real | aPointParameterV
| ) |  |
| virtual

Standard_Real StepGeom_PointOnSurface::PointParameterU | ( |  | ) | const

Standard_Real StepGeom_PointOnSurface::PointParameterV | ( |  | ) | const

void StepGeom_PointOnSurface::SetBasisSurface | ( | const Handle< StepGeom_Surface > & | aBasisSurface | ) |

void StepGeom_PointOnSurface::SetPointParameterU | ( | const Standard_Real | aPointParameterU | ) |

void StepGeom_PointOnSurface::SetPointParameterV | ( | const Standard_Real | aPointParameterV | ) |

The documentation for this class was generated from the following file:

- StepGeom_PointOnSurface.hxx